@extends('layouts.baseframe')
@php
$isUpdated = isset($model->id);
$title = $isUpdated?"代理修改":"代理新增";

if($isUpdated){
$member = $model->member;
}

@endphp

@section('title', $title ?? '')

@section('content')
<div class="col-sm-12">

    <div class="card">

        <div class="card-header">
            <h4>{{ $title }}</h4>
            <ul class="card-actions">
                <li>
                    <button type="button" onclick="javascript:window.history.go(-1);">
                        <i class="mdi mdi-skip-backward"></i>返回
                    </button>
                </li>
            </ul>
        </div>
        <div class="card-body">

            <form method="post" class="form-horizontal"
                action="{{ $isUpdated?route('admin.agents.update',['agent' => $model->id]):route('admin.agents.post_assign',['member' => $member->id]) }}"
                id="form">

                @csrf

                @if($isUpdated)
                @method('PUT')
                <input type="hidden" name="id" value="{{ $model->id }}">
                @endif

                <div class="form-group">
                    <label class="col-sm-2 control-label">会员ID</label>
                    <div class="col-sm-4">
                        <input type="text" class="form-control" name="member_id" placeholder="请输入会员ID"
                            value="{{ $member->id }}" readonly>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-2 control-label">会员用户名</label>
                    <div class="col-sm-4">
                        <input type="text" class="form-control" placeholder="请输入会员ID" value="{{ $member->name }}"
                            readonly>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-2 control-label required">代理PC链接</label>
                    <div class="col-sm-4">
                        <input type="text" class="form-control" name="agent_pc_uri" placeholder="请输入代理PC链接"
                               value="{{ $isUpdated?$model->agent_pc_uri:"" }}" @if(!$isUpdated) required @endif>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-2 control-label required">代理WAP链接</label>
                    <div class="col-sm-4">
                        <input type="text" class="form-control" name="agent_wap_uri" placeholder="请输入代理WAP链接"
                               value="{{ $isUpdated?$model->agent_wap_uri:"" }}" @if(!$isUpdated) required @endif>
                    </div>
                </div>

                {{--
                <div class="form-group">
                    <label class="col-sm-2 control-label required">代理链接</label>
                    <div class="col-sm-4">
                        <input type="text" class="form-control" name="agent_uri" placeholder="请输入代理链接"
                            value="{{ $isUpdated?$model->agent_uri:"" }}" @if(!$isUpdated) required @endif>
                    </div>
                </div>


                <div class="form-group">
                    <label class="col-sm-2 control-label">代理链接前缀</label>
                    <div class="col-sm-4">
                        <input type="text" class="form-control" name="agent_uri_pre" placeholder="请输入代理链接前缀"
                            value="{{ $isUpdated?$model->agent_uri_pre:"" }}" @if(!$isUpdated) required @endif>
                    </div>
                </div>
                --}}

                @if($isUpdated && $model->apply_data)
                <div class="form-group">
                    <label class="col-sm-2 control-label ">申请信息</label>
                    <div class="col-sm-4">

                        <table class="table table-hover table-bordered">
                            <tbody>
                                @foreach (json_decode($model->apply_data,1) as $key => $item)
                                    @if(!in_array($key,['member_id','status']))
                                    <tr>
                                        <td width="30%">{{ App\Models\MemberAgentApply::$list_field[$key]['name'] }}</td>
                                        <td>{{ $item }}</td>
                                    </tr>
                                    @endif
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
                @endif

                @if($is_delete)
                <div class="form-group">
                    <label class="col-sm-2 control-label required">分配模式</label>
                    <div class="col-sm-4">
                        <select name="assign_type" class="select2 form-control">
                            <option value="">---请选择分配模式---</option>
                            @foreach(config('platform.agent_assign_types') as $key => $value)
                                <option value="{{ $key }}">{{ $value  }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="help-block" style="color: red">
                        该会员之前的代理号被删除，请选择重新创建代理或者沿用旧代理账号
                    </div>
                </div>
                @endif

                <div class="form-group">
                    <label class="col-sm-2 control-label ">备注</label>
                    <div class="col-sm-4">
                        <input type="text" class="form-control" name="remark" placeholder="请输入备注"
                            value="{{ $isUpdated?$model->remark:"" }}" @if(!$isUpdated) required @endif>
                    </div>
                </div>


                <div class="form-group">
                    <div class="col-sm-4 col-sm-offset-2">
                        <button class="btn btn-primary" data-operate="ajax-submit" type="button">保存内容</button>
                        <button class="btn btn-default" type="reset">重置</button>
                    </div>
                </div>

            </form>
        </div>
    </div>
</div>
@endsection


@section('footer-js')
{{--<script src="{{ asset('/js/tinymce/tinymce.min.js') }}"></script>--}}
{{-- <script src="http://libs.itshubao.com/tinymce/tinymce.min.js"></script> --}}
<script>
    $(function () {



    });

</script>
@endsection
